--- src/video/cocoa/SDL_cocoawindow.m.orig	2025-01-02 02:48:45
+++ src/video/cocoa/SDL_cocoawindow.m	2025-01-03 08:07:25
@@ -741,18 +741,28 @@ - (void)windowDidExpose:(NSNotification *)aNotificatio
 - (void)windowDidExpose:(NSNotification *)aNotification
 {
     SDL_SendWindowEvent(_data.window, SDL_WINDOWEVENT_EXPOSED, 0, 0);
+}
+
+- (void)onLiveResizeTimerFire:(id)sender
+{
+    SDL_OnWindowLiveResizeUpdate(_data.window);
 }
 
 - (void)windowWillStartLiveResize:(NSNotification *)aNotification
 {
     // We'll try to maintain 60 FPS during live resizing
     const NSTimeInterval interval = 1.0 / 60.0;
+
+    NSMethodSignature *invocationSig = [Cocoa_WindowListener
+        instanceMethodSignatureForSelector:@selector(onLiveResizeTimerFire:)];
+    NSInvocation *invocation = [NSInvocation
+        invocationWithMethodSignature:invocationSig];
+    [invocation setTarget:self];
+    [invocation setSelector:@selector(onLiveResizeTimerFire:)];
+
     liveResizeTimer = [NSTimer scheduledTimerWithTimeInterval:interval
-                                                      repeats:TRUE
-                                                        block:^(NSTimer *unusedTimer)
-    {
-        SDL_OnWindowLiveResizeUpdate(_data.window);
-    }];
+                                                      invocation:invocation
+                                                      repeats:TRUE];
 
     [[NSRunLoop currentRunLoop] addTimer:liveResizeTimer forMode:NSRunLoopCommonModes];
 }
--- src/video/cocoa/SDL_cocoawindow.h.orig
+++ src/video/cocoa/SDL_cocoawindow.h
@@ -78,6 +78,7 @@ typedef enum
 /* Window delegate functionality */
 -(BOOL) windowShouldClose:(id) sender;
 -(void) windowDidExpose:(NSNotification *) aNotification;
+-(void) onLiveResizeTimerFire:(id) sender;
 -(void) windowWillStartLiveResize:(NSNotification *)aNotification;
 -(void) windowDidEndLiveResize:(NSNotification *)aNotification;
 -(void) windowDidMove:(NSNotification *) aNotification;
